Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.TreeTools
Class FileIconDescriptor

    java.lang.Object
      madkit.TreeTools.GenericIconDescriptor
          madkit.TreeTools.FileIconDescriptor

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

    public class FileIconDescriptor

extends GenericIconDescriptor

Author:
  Jaco To change the template for this generated type comment go to Window>Preferences>Java>Code Generation>Code and Comments

Constructor Summary
`FileIconDescriptor()`
`FileIconDescriptor(java.lang.String[][] lst, java.lang.String[][] coms)`
`FileIconDescriptor(java.lang.String defaultImage, java.lang.String[][] lst, java.lang.String[][] coms)`

Method Summary
`void` | `addFileDescriptor(java.lang.String ext, java.lang.String im)`
`void` | `copyInstall(FileIconDescriptor from)`
`java.util.Map` | `getDescriptors()`
`javax.swing.ImageIcon` | `getImage(Entry entry)`
`javax.swing.ImageIcon` | `getImage(java.io.File file)`
`javax.swing.ImageIcon` | `getImage(java.lang.String fileName)` Get the descriptor associated to this file extension.
`static java.lang.String` | `getPathExtens(java.lang.String s)`

Methods inherited from class madkit.TreeTools.GenericIconDescriptor
`actionPerformed, addCommand, getArg, getImage, getPopup, setArg`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileIconDescriptor

    public FileIconDescriptor(java.lang.String defaultImage,
                              java.lang.String[][] lst,
                              java.lang.String[][] coms)

### FileIconDescriptor

    public FileIconDescriptor(java.lang.String[][] lst,
                              java.lang.String[][] coms)

### FileIconDescriptor

    public FileIconDescriptor()

Method Detail

### getDescriptors

    public java.util.Map getDescriptors()

### copyInstall

    public void copyInstall(FileIconDescriptor from)

### getPathExtens

    public static java.lang.String getPathExtens(java.lang.String s)

### addFileDescriptor

    public void addFileDescriptor(java.lang.String ext,
                                  java.lang.String im)

### getImage

    public javax.swing.ImageIcon getImage(java.io.File file)

  Overrides:
    `getImage` in class `GenericIconDescriptor`

### getImage

    public javax.swing.ImageIcon getImage(java.lang.String fileName)

  Get the descriptor associated to this file extension. Use the inheritance between FileIconDescriptor

  Parameters:
    `fileName` -
  Returns:
    the FileDescriptor associated to the extension..

### getImage

    public javax.swing.ImageIcon getImage(Entry entry)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.